<div class='margincenter'>
<h2>{{topic.title}}</h2>
<div *ngFor='let post of topic.posts; let first = first; let i = index;'>
  <div *ngIf='first; else elseblock'>
    <mat-card >
      <mat-card-header>
        <div mat-card-avatar class="avatar">
          <mat-icon>person</mat-icon>
        </div>
        <mat-card-title>{{post.author}} </mat-card-title>
        <mat-card-subtitle>Elternteil, Lehrerin aus Nürnberg</mat-card-subtitle>
      </mat-card-header>
      <!--<img mat-card-image src="https://material.angular.io/assets/img/examples/shiba2.jpg" alt="Photo of a Shiba Inu">-->
      <mat-card-content>
        <div [innerHTML]="post.content"></div>
        
      </mat-card-content>

    </mat-card>
    <mat-card >
    
      <mat-card-content>
        <ckeditor [editor]="Editor" [config]="{ placeholder: 'Erstelle einen Beitrag zu diesem Thema' }" [(ngModel)]='postrte'></ckeditor> 
        
      </mat-card-content>

      <mat-card-actions>
        <button mat-button (click)='createPost()'>Beitrag publizieren</button>
      </mat-card-actions>
    </mat-card>
    <div style="margin: 50px" >
      <h3>{{topic.posts.length}} Antworten </h3>
      <mat-divider></mat-divider>

    </div>
  </div>
 
<ng-template #elseblock>
  <mat-card class='post'>
    <mat-card-header>
      <div mat-card-avatar class="avatar">
        <mat-icon>person</mat-icon>
      </div>
      <mat-card-title>{{post.author}} </mat-card-title>
      <mat-card-subtitle>Großmutter, Rentnerin aus Bochum</mat-card-subtitle>
    </mat-card-header>
    <!--<img mat-card-image src="https://material.angular.io/assets/img/examples/shiba2.jpg" alt="Photo of a Shiba Inu">-->
    <mat-card-content>
      <div [innerHTML]="post.content"></div>
      
    </mat-card-content>
    <mat-card-actions>
      <button mat-button (click)='hideme[i] = !hideme[i]'>Auf diesen Beitrag antworten</button>
    </mat-card-actions>
  </mat-card>
  <div *ngIf="hideme[i]">
    <mat-card >
    
      <mat-card-content>
        <ckeditor [editor]="Editor" [config]="{ placeholder: 'Antworte auf diesen Beitrag' }" [(ngModel)]='ansrte[i]'></ckeditor> 
        
      </mat-card-content>
      <mat-card-actions>
        <button mat-button (click)='commentPost(i)'>Kommentieren</button>

      </mat-card-actions>
    </mat-card>
  </div>
    

  <div *ngIf='post.answers'>
    <mat-card *ngFor='let answer of post.answers' class='answer'>
      <mat-card-header>
        <div mat-card-avatar class="avatar">
          <mat-icon>person</mat-icon>
        </div>
        <mat-card-title>{{answer.author}} </mat-card-title>
        <mat-card-subtitle>Elternteil, KFZ-Mechatroniker aus Bremen</mat-card-subtitle>
      </mat-card-header>
      <!--<img mat-card-image src="https://material.angular.io/assets/img/examples/shiba2.jpg" alt="Photo of a Shiba Inu">-->
      <mat-card-content>
        <div [innerHTML]="answer.content"></div>
        
      </mat-card-content>
     
    </mat-card>
  </div>
</ng-template>
    
</div>    

</div>
